summaryrefslogtreecommitdiff
path: root/tests/chmod/setgid
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/setgid')
-rwxr-xr-xtests/chmod/setgid25
1 files changed, 5 insertions, 20 deletions
diff --git a/tests/chmod/setgid b/tests/chmod/setgid
index 92a026ff0..0c583f274 100755
--- a/tests/chmod/setgid
+++ b/tests/chmod/setgid
@@ -2,7 +2,7 @@
# Make sure GNU chmod works the same way as those of Solaris, HPUX, AIX
# wrt directories with the setgid bit set.
-# Copyright (C) 2001, 2004, 2005, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2004-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,23 +22,13 @@ if test "$VERBOSE" = yes; then
chmod --version
fi
-. $srcdir/../envvar-check
. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-tmp=setgid.$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-test=../../../src/test
+test=$abs_top_builddir/src/test
umask 0
-mkdir d || framework_failure=1
+mkdir d || framework_failure
chmod g+s d 2> /dev/null && $test -g d ||
{
@@ -50,14 +40,9 @@ chmod g+s d 2> /dev/null && $test -g d ||
id_g=`id -g` &&
test -n "$id_g" &&
chgrp "$id_g" d &&
- chmod g+s d || framework_failure=1
+ chmod g+s d || framework_failure
}
-if test $framework_failure = 1; then
- echo 'failure in testing framework' 1>&2
- (exit 1); exit 1
-fi
-
# "chmod g+s d" does nothing on some NFS file systems.
$test -g d || {
echo 1>&2 "$0: cannot create setgid directories," \